PomModuleDescriptorParser (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven

## [Java] Class PomModuleDescriptorParser

- org.codehaus.groovy.grails.resolve.maven.PomModuleDescriptorParser

- All Implemented Interfaces and Traits:
    org.apache.ivy.plugins.parser.ModuleDescriptorParser

      public final class PomModuleDescriptorParser
      extends java.lang.Object

  A parser for Maven 2 POM.

  The configurations used in the generated module descriptor mimics the behavior defined by maven 2 scopes, as documented here:
  http://maven.apache.org/guides/introduction/introduction-to-dependency-mechanism.html The PomModuleDescriptorParser use a PomDomReader to read the pom, and the PomModuleDescriptorBuilder to write the ivy module descriptor using the info read by the PomDomReader.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `accept(org.apache.ivy.plugins.repository.Resource res)`
    `protected org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder` | `createPomModuleDescriptorBuilder(org.apache.ivy.plugins.parser.ParserSettings ivySettings, org.apache.ivy.plugins.repository.Resource res)`
    `static PomModuleDescriptorParser` | `getInstance()`
    `org.apache.ivy.core.module.descriptor.Artifact` | `getMetadataArtifact(org.apache.ivy.core.module.id.ModuleRevisionId mrid, org.apache.ivy.plugins.repository.Resource res)`
    `java.lang.String` | `getType()`
    `org.apache.ivy.core.module.descriptor.ModuleDescriptor` | `parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ivySettings, java.net.URL descriptorURL, boolean validate)`
    `org.apache.ivy.core.module.descriptor.ModuleDescriptor` | `parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ivySettings, java.net.URL descriptorURL, org.apache.ivy.plugins.repository.Resource res, boolean validate)`
    `void` | `toIvyFile(java.io.InputStream is, org.apache.ivy.plugins.repository.Resource res, java.io.File destFile, org.apache.ivy.core.module.descriptor.ModuleDescriptor md)`
    `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public boolean accept(org.apache.ivy.plugins.repository.Resource res)

    - #### protected org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder createPomModuleDescriptorBuilder(org.apache.ivy.plugins.parser.ParserSettings ivySettings, org.apache.ivy.plugins.repository.Resource res)

    - #### public static PomModuleDescriptorParser getInstance()

    - #### public org.apache.ivy.core.module.descriptor.Artifact getMetadataArtifact(org.apache.ivy.core.module.id.ModuleRevisionId mrid, org.apache.ivy.plugins.repository.Resource res)

    - #### public java.lang.String getType()

    - #### public org.apache.ivy.core.module.descriptor.ModuleDescriptor parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ivySettings, java.net.URL descriptorURL, boolean validate)

    - #### @java.lang.SuppressWarnings("rawtypes") public org.apache.ivy.core.module.descriptor.ModuleDescriptor parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ivySettings, java.net.URL descriptorURL, org.apache.ivy.plugins.repository.Resource res, boolean validate)

    - #### public void toIvyFile(java.io.InputStream is, org.apache.ivy.plugins.repository.Resource res, java.io.File destFile, org.apache.ivy.core.module.descriptor.ModuleDescriptor md)

    - #### @java.lang.Override public java.lang.String toString()